Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.decorators
Class EdgeShape.BentLine

    java.lang.Object
      edu.uci.ics.jung.graph.decorators.AbstractEdgeShapeFunction
          edu.uci.ics.jung.graph.decorators.EdgeShape.BentLine

All Implemented Interfaces:
  EdgeShape.ParallelRendering, EdgeShapeFunction

Enclosing class:
  EdgeShape

public static class EdgeShape.BentLine
extends AbstractEdgeShapeFunction
implements EdgeShape.ParallelRendering

An edge shape that renders as a bent-line between the vertex endpoints.

Field Summary
`protected ParallelEdgeIndexFunction` | `parallelEdgeIndexFunction`

Fields inherited from class edu.uci.ics.jung.graph.decorators.AbstractEdgeShapeFunction
`control_offset_increment`

Constructor Summary
`EdgeShape.BentLine()`

Method Summary
`Shape` | `getShape(Edge e)` Get the shape for this edge, returning either the shared instance or, in the case of self-loop edges, the Loop shared instance.
`void` | `setParallelEdgeIndexFunction(ParallelEdgeIndexFunction parallelEdgeIndexFunction)`

Methods inherited from class edu.uci.ics.jung.graph.decorators.AbstractEdgeShapeFunction
`setControlOffsetIncrement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parallelEdgeIndexFunction

    protected ParallelEdgeIndexFunction parallelEdgeIndexFunction

Constructor Detail

### EdgeShape.BentLine

    public EdgeShape.BentLine()

Method Detail

### setParallelEdgeIndexFunction

    public void setParallelEdgeIndexFunction(ParallelEdgeIndexFunction parallelEdgeIndexFunction)

  Specified by:
    `setParallelEdgeIndexFunction` in interface `EdgeShape.ParallelRendering`

### getShape

    public Shape getShape(Edge e)

  Get the shape for this edge, returning either the shared instance or, in the case of self-loop edges, the Loop shared instance.

  Specified by:
    `getShape` in interface `EdgeShapeFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD